> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT-5.3 Codex

> GPT-5.3 Codex：コーディングとソフトウェアエンジニアリング向けのモデル。MixRoute向けのリクエスト例とパラメーター。

GPT-5.3 Codexは、OpenAIのコーディング・ソフトウェアエンジニアリングモデルです。

以下のエンドポイントを使用し、MixRouteを通じて`gpt-5.3-codex`を呼び出します。

## 主な機能

* Responses API - テキストと構造化コンテンツにinputを使用
* 推論の制御 - 対応モデルで推論強度を設定
* ツールの使用 - 関数およびホスト型ツールの定義に対応

## 簡単な使用例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/responses" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "model": "gpt-5.3-codex",
      "input": [
        {
          "role": "user",
          "content": "Explain quantum entanglement in simple terms."
        }
      ],
      "max_output_tokens": 256,
      "reasoning": {
        "effort": "low"
      }
    }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.responses.create(
        model="gpt-5.3-codex",
        input="Explain quantum entanglement in simple terms.",
        reasoning={"effort": "low"},
        max_output_tokens=256,
    )

    print(response.output_text)
    ```
  </Tab>

  <Tab title="ストリーミング">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    with client.responses.stream(
        model="gpt-5.3-codex",
        input="Write a short poem about the sea.",
        reasoning={"effort": "low"},
        max_output_tokens=256,
    ) as stream:
        for event in stream:
            if event.type == "response.output_text.delta":
                print(event.delta, end="")
    ```
  </Tab>
</Tabs>

## パラメータ

| パラメーター | 型 | 必須 | 説明 |
| - | - | - | - |
| `model` | string | はい | `gpt-5.3-codex`である必要があります。 |
| `input` | string \| array | はい | テキスト、または構造化されたレスポンス入力。 |
| `max_output_tokens` | integer | いいえ | 最大出力トークン数。 |
| `stream` | boolean | いいえ | SSEストリーミングを有効にします。デフォルト: false。 |
| `reasoning` | object | いいえ | effortを含む推論の設定。 |
| `text` | object | いいえ | テキスト形式と詳細度の制御。 |
| `tools` | array | いいえ | モデルが呼び出せるツール。 |
| `store` | boolean | いいえ | レスポンスを保存するかどうか。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.